#ifndef _BBCBILLBOARDCLOUDSERIALIZER_H
#define _BBCBILLBOARDCLOUDSERIALIZER_H

#include <BBCPrerequisites.h>
#include <BBCXmlSerializer.h>
#include <BBCBillboardCloud.h>
#include <BBCBillboard.h>
#include <BBCEntityCluster.h>
#include <BBCBillboardClusterData.h>

#include <string>

namespace BBC {

class _BBCExport BillboardCloudSerializer : public XmlSerializer {
  public:
    BillboardCloudSerializer();

    virtual ~BillboardCloudSerializer();


  protected:
	BillboardCloud * mBillboardCloud;


  public:

    void setBillboardCloud(BillboardCloud *value);

	BillboardCloud * getBillboardCloud();

	virtual void writeBillboardCloud(TiXmlDocument *document, bool groupedBillboards);

	virtual void readBillboardCloud(TiXmlDocument *document, bool groupedBillboards);

};

}
#endif
